Interface PurchaseOrder

All Known Implementing Classes:
PurchaseOrderJson

public interface PurchaseOrder
A purchase order available to a billing account, as returned by the Equinix Internet Access (EIA) v1 purchase-order lookups - the list (GET /internetAccess/v1/accounts/{accountNumber}/purchaseOrders) and the single get (GET /internetAccess/v1/accounts/{accountNumber}/purchaseOrders/{number}).

This is a read-only response view.

  • Method Details

    • getType

      Returns:
      the purchase order type (STANDARD_PURCHASE_ORDER or BLANKET_PURCHASE_ORDER)
    • getNumber

      String getNumber()
      Returns:
      the purchase order number
    • getAccount

      PurchaseOrderAccount getAccount()
      Returns:
      the billing account the purchase order belongs to
    • getCategories

      List<PurchaseOrderCategory> getCategories()
      Returns:
      the service categories the purchase order applies to
    • getLocations

      List<PurchaseOrderLocation> getLocations()
      Returns:
      the IBX locations the purchase order applies to
    • getAmount

      BigDecimal getAmount()
      Returns:
      the purchase order amount
    • getStartDate

      String getStartDate()
      Returns:
      the start date of the purchase order
    • getEndDate

      String getEndDate()
      Returns:
      the end date of the purchase order
    • getDescription

      String getDescription()
      Returns:
      the description of the purchase order
    • getDraft

      Boolean getDraft()
      Returns:
      whether the purchase order is a draft
    • getStatus

      PurchaseOrderStatus getStatus()
      Returns:
      the lifecycle status of the purchase order (DRAFT or ACTIVE)
    • getCurrency

      CurrencyCode getCurrency()
      Returns:
      the ISO 4217 currency code of the purchase order amount